Bug 201187 - traceroute checksum fails when packet size > 512
traceroute checksum fails when packet size > 512
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: traceroute (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 10:20 EDT by Subhendu Ghosh
Modified: 2016-10-04 00:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 15:45:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2006-08-03 10:20:45 EDT
Description of problem:

traceroute fails when run with packetlen > 512

Version-Release number of selected component (if applicable):
traceroute-1.4a12-24

How reproducible:
always

Steps to Reproduce:
1.traceroute host 513  or traceroute -I host 513
2.
3.
  
Actual results:
traceroute porkchop.devel.redhat.com 513
traceroute to porkchop.devel.redhat.com (172.16.58.2), 30 hops max, 513 byte packets
 1  vpn1.redhat.com (66.187.233.252)  31.243 ms  28.970 ms  27.558 ms
 2  router-vlan500.corp.redhat.com (172.16.51.14)  28.979 ms  29.558 ms  29.950 ms
Icmp checksum is wrong
 3  porkchop.devel.redhat.com (172.16.58.2)  29.684 msIcmp checksum is wrong
  30.547 msIcmp checksum is wrong
  30.986 ms



Expected results:
traceroute porkchop.devel.redhat.com
traceroute to porkchop.devel.redhat.com (172.16.58.2), 30 hops max, 38 byte packets
 1  vpn1.redhat.com (66.187.233.252)  28.913 ms  27.116 ms  28.710 ms
 2  router-vlan500.corp.redhat.com (172.16.51.14)  26.953 ms  25.015 ms  26.999 ms
 3  porkchop.devel.redhat.com (172.16.58.2)  25.637 ms  29.328 ms  27.805 ms


Additional info:
Comment 1 Martin Bacovsky 2006-08-09 08:03:54 EDT
Patch is already done
Comment 2 RHEL Product and Program Management 2006-09-05 15:32:04 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 3 RHEL Product and Program Management 2006-09-05 15:45:44 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.